{
    num: -32169,
    accuracy: 95,
    basePower: 70,
    category: "Special",
    name: "Typhoon",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1, wind: 1 },
    onBasePower(basePower, source) {
      if (["raindance", "primordialsea"].includes(source.effectiveWeather())) {
        this.debug("weather buff");
        return this.chainModify(1.5);
      }
    },
    onModifyMove(move, source, target) {
      if (["raindance", "primordialsea"].includes(source.effectiveWeather())) {
        move.target = "allAdjacentFoes";
      }
    },
    secondary: null,
    target: "normal",
    type: "Flying"
}